List task comments
curl --request GET \
--url https://api.assembly.com/v1/comments \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.assembly.com/v1/comments"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.assembly.com/v1/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"authorId": "64734088-94c7-47dd-b2fe-e5ac7e5cfaf4",
"content": "Looks good, ready to ship.",
"createdAt": "2024-01-15T09:30:00Z",
"deleted": true,
"id": "550e8400-e29b-41d4-a716-446655440000",
"taskId": "550e8400-e29b-41d4-a716-446655440000",
"updatedAt": "2024-02-20T14:05:00Z"
}
],
"nextToken": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}Task Comments
List task comments
Lists task comments from the Tasks marketplace app installed on the workspace. The request is proxied to the app’s comments API. Requires the Tasks app to be installed.
GET
/
v1
/
comments
List task comments
Authorizations
Query Parameters
Maximum number of comments to return
Pagination cursor returned by a previous list response
Filter comments to a single task by its id
⌘I